Alembic Version 1.1

Public Types | Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
Alembic::AbcCollection::ALEMBIC_VERSION_NS::ICollectionsSchema Class Reference

`#include <ICollections.h>`

Inheritance diagram for Alembic::AbcCollection::ALEMBIC_VERSION_NS::ICollectionsSchema:
[legend]
Collaboration diagram for Alembic::AbcCollection::ALEMBIC_VERSION_NS::ICollectionsSchema:
[legend]

## Public Types
typedef ICollectionsSchema | this_type
Public Types inherited from Alembic::Abc::ALEMBIC_VERSION_NS::ISchema< CollectionsSchemaInfo >
typedef CollectionsSchemaInfo | info_type
typedef ISchema< CollectionsSchemaInfo > | this_type
Public Types inherited from Alembic::Abc::ALEMBIC_VERSION_NS::ICompoundProperty
typedef ICompoundProperty | this_type

## Public Member Functions
| ICollectionsSchema ()
| ICollectionsSchema (const ICompoundProperty &iParent, const std::string &iName, const Abc::Argument &iArg0=Abc::Argument(), const Abc::Argument &iArg1=Abc::Argument())
| ICollectionsSchema (const ICompoundProperty &iProp, const Abc::Argument &iArg0=Abc::Argument(), const Abc::Argument &iArg1=Abc::Argument())
| ICollectionsSchema (const ICollectionsSchema &iCopy)
| Copy constructor. More...
size_t | getNumCollections ()
| Returns the number of collections that we have. More...
Abc::IStringArrayProperty | getCollection (size_t i)
| Return a collection by index. More...
Abc::IStringArrayProperty | getCollection (const std::string &iName)
| Return a collection by name. More...
std::string | getCollectionName (size_t i)
| Returns the name of a collection at a given index. More...
bool | valid () const
| Returns whether this function set is valid. More...
Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::ISchema< CollectionsSchemaInfo >
| ISchema ()
| ISchema (const ICompoundProperty &iParent, const std::string &iName, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| ISchema (const ICompoundProperty &iProperty, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| ISchema (const ICompoundProperty &iProperty, WrapExistingFlag iFlag, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
virtual | ~ISchema ()
Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::ICompoundProperty
| ICompoundProperty ()
| ICompoundProperty (const ICompoundProperty &iParent, const std::string &iName, const Argument &iArg0=Argument())
| ICompoundProperty (AbcA::CompoundPropertyReaderPtr iPtr, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| ICompoundProperty (AbcA::CompoundPropertyReaderPtr iPtr, WrapExistingFlag, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| ICompoundProperty (const IObject &iObject, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| ICompoundProperty (const IObject &iObject, TopFlag, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| ~ICompoundProperty ()
size_t | getNumProperties () const
| Returns the number of properties contained in this ICompoundProperty. More...
const AbcA::PropertyHeader & | getPropertyHeader (size_t i) const
const AbcA::PropertyHeader * | getPropertyHeader (const std::string &iName) const
ICompoundProperty | getParent () const
Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::IBasePropertyT< AbcA::CompoundPropertyReaderPtr >
const AbcA::PropertyHeader & | getHeader () const
const std::string & | getName () const
AbcA::PropertyType | getPropertyType () const
bool | isScalar () const
bool | isArray () const
bool | isCompound () const
bool | isSimple () const
const AbcA::MetaData & | getMetaData () const
const AbcA::DataType & | getDataType () const
AbcA::TimeSamplingPtr | getTimeSampling () const
IObject | getObject () const
AbcA::CompoundPropertyReaderPtr | getPtr () const
void | reset ()
bool | valid () const
| ALEMBIC_OPERATOR_BOOL (valid())
Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::Base
ErrorHandler & | getErrorHandler () const
ErrorHandler::Policy | getErrorHandlerPolicy () const

## Protected Member Functions
void | init (const Abc::Argument &iArg0, const Abc::Argument &iArg1)
Protected Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::IBasePropertyT< AbcA::CompoundPropertyReaderPtr >
| IBasePropertyT ()
| IBasePropertyT (AbcA::CompoundPropertyReaderPtr iPtr, ErrorHandler::Policy iPolicy)
Protected Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::Base
| Base ()
| Base (ErrorHandler::Policy iPolicy)
| Base (const Base &iCopy)
Base & | operator= (const Base &iCopy)
bool | valid () const
void | reset ()

## Protected Attributes
std::vector< Abc::IStringArrayProperty > | m_collections
Protected Attributes inherited from Alembic::Abc::ALEMBIC_VERSION_NS::IBasePropertyT< AbcA::CompoundPropertyReaderPtr >
AbcA::CompoundPropertyReaderPtr | m_property

## Additional Inherited Members
Static Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::ISchema< CollectionsSchemaInfo >
static const char * | getSchemaTitle ()
static const char * | getDefaultSchemaName ()
static bool | matches (const AbcA::MetaData &iMetaData, SchemaInterpMatching iMatching=kStrictMatching)
static bool | matches (const AbcA::PropertyHeader &iHeader, SchemaInterpMatching iMatching=kStrictMatching)
Protected Types inherited from Alembic::Abc::ALEMBIC_VERSION_NS::IBasePropertyT< AbcA::CompoundPropertyReaderPtr >
typedef IBasePropertyT< AbcA::CompoundPropertyReaderPtr > | this_type
typedef IBasePropertyT< AbcA::CompoundPropertyReaderPtr > | operator_bool_base_type

## Detailed Description

Definition at line 48 of file ICollections.h.

## Member Typedef Documentation

## ◆ this_type

typedef ICollectionsSchema Alembic::AbcCollection::ALEMBIC_VERSION_NS::ICollectionsSchema::this_type

Definition at line 53 of file ICollections.h.

## Constructor & Destructor Documentation

## ◆ ICollectionsSchema() [1/4]

Alembic::AbcCollection::ALEMBIC_VERSION_NS::ICollectionsSchema::ICollectionsSchema | ( |  | ) |
| inline

Definition at line 56 of file ICollections.h.

## ◆ ICollectionsSchema() [2/4]

Alembic::AbcCollection::ALEMBIC_VERSION_NS::ICollectionsSchema::ICollectionsSchema | ( | const ICompoundProperty & | iParent,
|  | const std::string & | iName,
|  | const Abc::Argument & | iArg0 = `Abc::Argument()`,
|  | const Abc::Argument & | iArg1 = `Abc::Argument()`
| ) |  |
| inline

This constructor creates a new collections reader. The first argument is the parent ICompoundProperty, from which the error handler policy for is derived. The second argument is the name of the ICompoundProperty that contains this schemas properties. The remaining optional arguments can be used to override the ErrorHandlerPolicy and to specify schema interpretation matching.

Definition at line 64 of file ICollections.h.

## ◆ ICollectionsSchema() [3/4]

Alembic::AbcCollection::ALEMBIC_VERSION_NS::ICollectionsSchema::ICollectionsSchema | ( | const ICompoundProperty & | iProp,
|  | const Abc::Argument & | iArg0 = `Abc::Argument()`,
|  | const Abc::Argument & | iArg1 = `Abc::Argument()`
| ) |  |
| inline

This constructor wraps an existing ICompoundProperty as the collection reader, and the error handler policy is derived from it. The remaining optional arguments can be used to override the ErrorHandlerPolicy and to specify schema interpretation matching.

Definition at line 77 of file ICollections.h.

## ◆ ICollectionsSchema() [4/4]

Alembic::AbcCollection::ALEMBIC_VERSION_NS::ICollectionsSchema::ICollectionsSchema | ( | const ICollectionsSchema & | iCopy | ) |
| inline

Copy constructor.

Definition at line 86 of file ICollections.h.

## Member Function Documentation

## ◆ getCollection() [1/2]

Abc::IStringArrayProperty Alembic::AbcCollection::ALEMBIC_VERSION_NS::ICollectionsSchema::getCollection | ( | const std::string & | iName | ) |

Return a collection by name.

## ◆ getCollection() [2/2]

Abc::IStringArrayProperty Alembic::AbcCollection::ALEMBIC_VERSION_NS::ICollectionsSchema::getCollection | ( | size_t | i | ) |

Return a collection by index.

## ◆ getCollectionName()

std::string Alembic::AbcCollection::ALEMBIC_VERSION_NS::ICollectionsSchema::getCollectionName | ( | size_t | i | ) |

Returns the name of a collection at a given index.

## ◆ getNumCollections()

size_t Alembic::AbcCollection::ALEMBIC_VERSION_NS::ICollectionsSchema::getNumCollections | ( |  | ) |
| inline

Returns the number of collections that we have.

Definition at line 93 of file ICollections.h.

## ◆ init()

void Alembic::AbcCollection::ALEMBIC_VERSION_NS::ICollectionsSchema::init | ( | const Abc::Argument & | iArg0,
|  | const Abc::Argument & | iArg1
| ) |  |
| protected

## ◆ valid()

bool Alembic::AbcCollection::ALEMBIC_VERSION_NS::ICollectionsSchema::valid | ( |  | ) | const
| inline

Returns whether this function set is valid.

Definition at line 105 of file ICollections.h.

## Member Data Documentation

## ◆ m_collections

std::vector< Abc::IStringArrayProperty > Alembic::AbcCollection::ALEMBIC_VERSION_NS::ICollectionsSchema::m_collections
| protected

Definition at line 114 of file ICollections.h.

The documentation for this class was generated from the following file:

- opt/local/include/Alembic/AbcCollection/ICollections.h